<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Go](./bitburner.go.md) &gt; [analysis](./bitburner.go.analysis.md)

## Go.analysis property

Tools to analyze the IPvGO subnet.

**Signature:**

```typescript
analysis: {
    getValidMoves(): boolean[][];

    getChains(): (number | null)[][];

    getLiberties(): number[][];

    getControlledEmptyNodes(): string[];

    getStats(): Partial<Record<GoOpponent, SimpleOpponentStats>>;
  };
```
